System requirements: BlackBerry Web Services

Verify that the following software is installed on the computer that you want to use to develop applications for the BlackBerry Web Services.

Item

Requirement

Operating system

  • Windows XP or later

Software development kit (SDK)

  • Java SE Development Kit 6 Update 31

The Java SE Development Kit includes the Java Platform, Standard Edition (Java SE), the Java Runtime Environment (JRE), and the Java keytool (keytool.exe), which you use to create the required keystore.

Visit www.oracle.com to download the Java SE Development Kit. Verify that your computer satisfies the installation prerequisites or system requirements.

Integrated development environment (IDE)

  • Latest version of the Eclipse IDE for Java Developers

Visit www.eclispse.org/downloads/ to download the Eclipse IDE for Java Developers. Verify that your computer satisfies the installation prerequisites or system requirements.

Web service framework

Use one of the following web service frameworks to bind web service requests and to generate the required client proxy files:

  • Apache CXF 2.6.1 (binary distribution)
  • Apache Axis2 1.5.1 (binary distribution)

Visit http://cxf.apache.org/ to download Apache CXF, or visit http://axis.apache.org/ to download Apache Axis2. Verify that your computer satisfies the installation prerequisites or system requirements.

The BlackBerry Web Services might support other web services frameworks, but additional configuration or resource libraries might be required.



Was this information helpful? Send us your comments.